------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]道士剧情1
--Creator:		洪聪敏
--Created:		2021-11-12
------------------------------------------------------------------------------------
-- 设置摄像机指向位置(网格坐标)
--/callluafunc </F>User_PlayPlot</N>305
--/reloadlua Script/zhongqiu4.lua

CppScriptMgr:SetViewPosByCell(45,33)
------------------------------------------------------------------------------------
local Effect_4=CppScriptMgr:AddEffect("zero7196700",50,42,33)
local Effect_5=CppScriptMgr:AddEffect("zero7196700",58,37,33)
local Effect_13=CppScriptMgr:AddEffect("zero7196700",35,28,33)
local Effect_6=CppScriptMgr:AddEffect("zero7196670",42,31,33)
local Effect_12=CppScriptMgr:AddEffect("zero7196670",39,27,33)
local Effect_7=CppScriptMgr:AddEffect("zero7196710",44,41,33)
local Effect_9=CppScriptMgr:AddEffect("zero7196730",50,30,33)
local Effect_10=CppScriptMgr:AddEffect("zero7196730",35,32,33)
local Effect_11=CppScriptMgr:AddEffect("zero7196700",54,50,33)
local Player_2=CppScriptMgr:AddSimplePlayer(36447,48,38,"",0,0)
Player_2:SetZoomPercent(200)
local Player_7=CppScriptMgr:AddSimplePlayer(36447,55,31,"",0,0)
Player_7:SetZoomPercent(80)
local Player_1=CppScriptMgr:AddSimplePlayer(1055260,49,35,"WuKang",0,0)
Player_1:SetRWeapon(450110,0,1)
local Player_3=CppScriptMgr:AddSimplePlayer(31450,50,38,"",0,0)
Player_3:SetDir(4)
Player_3:SetZoomPercent(120)
local Player_9=CppScriptMgr:AddSimplePlayer(31450,54,31,"",0,0)
Player_9:SetDir(4)
local Player_4=CppScriptMgr:AddSimplePlayer(31450,35,28,"",0,0)
Player_4:SetZoomPercent(120)
local Player_5=CppScriptMgr:AddSimplePlayer(31450,51,35,"",0,0)
Player_5:SetZoomPercent(120)
local Player_6=CppScriptMgr:AddSimplePlayer(31450,35,32,"",0,0)
Player_6:SetZoomPercent(120)
local Player_8=CppScriptMgr:AddSimplePlayer(31450,54,50,"",0,0)
Player_8:SetZoomPercent(120)
Player_8:SetDir(4)
CppScriptMgr:WaitMilSec(500)
Player_3:RunTo(51,39)
Player_4:RunTo(38,26)
Player_1:SetAction(401)
local Effect_1=CppScriptMgr:AddEffect("dcdbz_fire",47,37,33)
Effect_1:Scale(3,3,3)
CppScriptMgr:WaitMilSec(1500)
Player_4:RunTo(39,27)
Player_3:RunTo(50,36)
Player_3:SetDir(0)
Player_1:SetAction(401)
local Effect_2=CppScriptMgr:AddEffect("dcdbz_fire",47,37,33)
Effect_2:Scale(3,3,3)
CppScriptMgr:WaitMilSec(1500)
Player_3:SetDir(4)
Player_4:RunTo(35,28)
Player_3:RunTo(51,39)
Player_1:SetAction(401)
local Effect_3=CppScriptMgr:AddEffect("dcdbz_fire",47,37,33)
Effect_3:Scale(3,3,3)
CppScriptMgr:WaitMilSec(1500)
Player_3:SetDir(0)
Player_4:RunTo(39,27)
Player_3:RunTo(50,42)
Player_1:SetAction(401)
local Effect_8=CppScriptMgr:AddEffect("dcdbz_fire",47,37,33)
Effect_8:Scale(3,3,3)
CppScriptMgr:WaitMilSec(1500)
